#! /usr/local/bin/bash 
echo "Running on HOST " $HOST 
export MODE = $CMTCONFIG
export WORKDIR = $PWD
export NEV = 1000
export FIRSTEV = 1
export NEXP = 5
export OPTSFILE = '../options/v200601_FieldOff.opts'
export JOBID = 0 
echo "--------------------------------------------------"
echo "Number of Events per Experiment = " $NEV 
echo "First Event in Processing = " $FIRSTEV
echo "Number of Experiments = " $NEXP echo "Options File = " $OPTSFILE
echo "Job Identifier = "  $JOBID
echo "--------------------------------------------------" 
#
echo "==> Setting up the Environment:"
export User_release_area = ~/cmtuser 
#setenvBrunel v31r4 
#source ~/cmtuser/Brunel_v31r4/AlignT2Velo/v1r0/cmt/setup.csh 
cd $WORKDIR 
mkdir -p python
mkdir -p options
#
echo "===> Updating the CMTPROJECTPATH to:" $CMTPROJECTPATH
setenv CMTPROJECTPATH ${WORKDIR}:$CMTPROJECTPATH
#
echo "==> Cleaing the directory of old DB, ROOT and DAT files" 
#
echo "==> Copying Database Files to local area:" 
cp $SQLDDDBROOT/db/DDDB.db python/ 
cp $SQLDDDBROOT/db/LHCBCOND.db python/ 
#
echo "==> Copying scripts to local directory:" 
cp ~/cmtuser/Brunel_v31r4/AlignT2Velo/v1r0/python/*.py python/ 
cp ${OPTSFILE} options/
cd python
# 
echo "==> Running the job:" 
# ===> Batch mode
###python AlignT2Velo.py -n $NEV -s $NEXP -o $OPTSFILE >& AlignT2Velo_$NEV.log
# Local mode (default)
python AlignT2Velo.py -n $NEV -s $NEXP -o $OPTSFILE 
echo "==> Deleting the local Databases"
rm -f *.db
echo "==> Job finished" 
exit 0 
